Get value list items
Base URL
https://{kibana_url}
GET
/api/lists/items/_find
GET
/s/{space_id} /api/lists/items/_find
Auth
Get all value list items in the specified list.
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
list_id
string · format: nonempty · min length: 1
required
Parent value list's id to page through items for.
Example:
21b01cfb-058d-44b9-838c-282be16c91cd
page
integer
The page number to return.
per_page
integer
The number of list items to return per page.
sort_field
string · format: nonempty · min length: 1
Determines which field is used to sort the results.
Example:
value
sort_order
enum
Determines the sort order, which can be desc or asc
Values:
desc
asc
cursor
string · format: nonempty · min length: 1
Opaque cursor returned in a previous response; pass it to continue listing from the next page. Omit on the first request.
Example:
WzIwLFsiYjU3Yzc2MmMtMzAzNi00NjVjLTliZmItN2JmYjVlNmU1MTVhIl1d
filter
string
Filters the returned results according to the value of the specified field,
using the
Example:
value:127.0.0.1
cursor
string · format: nonempty · min length: 1
required
Returns the items that come after the last item returned in the previous call (use the cursor value returned in the previous call). This parameter uses the tie_breaker_id field to ensure all items are sorted and returned correctly.
data
object []
required
−
Hide 12 properties
_version
string
The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.
@timestamp
string · format: date-time
created_at
string · format: date-time
required
Autogenerated date of object creation.
created_by
string
required
Autogenerated value - user that created object.
id
string · format: nonempty · min length: 1
required
Value list item's identifier.
list_id
string · format: nonempty · min length: 1
required
Value list's identifier.
meta
object
Placeholder for metadata about the value list item.
tie_breaker_id
string
required
Field used in search to ensure all containers are sorted and returned correctly.
type
enum
required
Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:
keyword: Many ECS fields are Elasticsearch keywords
ip: IP addresses
ip_range: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
Values:
binary
boolean
byte
date
date_nanos
date_range
double
double_range
float
float_range
geo_point
geo_shape
half_float
integer
integer_range
ip
ip_range
keyword
long
long_range
shape
short
text
+
show 11 more values
updated_at
string · format: date-time
required
Autogenerated date of last object update.
updated_by
string
required
Autogenerated value - user that last updated object.
value
string · format: nonempty · min length: 1
required
The value used to evaluate exceptions.
page
integer · min: 0
required
per_page
integer · min: 0
required
total
integer · min: 0
required
400
Invalid input data response
application/json
One of:
−
Hide 2 properties
status_code
integer
required
401
Unsuccessful authentication response
application/json
statusCode
integer
required
403
Not enough privileges response
application/json
statusCode
integer
required
500
Internal server error response
application/json
status_code
integer
required
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
1
GET kbn:/api/lists/items/_find?list_id=21b01cfb-058d-44b9-838c-282be16c91cd
Generated from the API spec
1
2
curl -X GET "${KIBANA_URL}/api/lists/items/_find?list_id=21b01cfb-058d-44b9-838c-282be16c91cd" \
-H "Authorization: ApiKey ${API_KEY}"
Generated from the API spec
Response
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
{
"cursor": "WzIwLFsiYjU3Yzc2MmMtMzAzNi00NjVjLTliZmItN2JmYjVlNmU1MTVhIl1d",
"data": [
{
"_version": "WzAsMV0=",
"@timestamp": "2025-01-08T04:59:06.154Z",
"created_at": "2025-01-08T04:59:06.154Z",
"created_by": "elastic",
"id": "21b01cfb-058d-44b9-838c-282be16c91cc",
"list_id": "ip_list",
"tie_breaker_id": "b57c762c-3036-465c-9bfb-7bfb5e6e515a",
"type": "ip",
"updated_at": "2025-01-08T04:59:06.154Z",
"updated_by": "elastic",
"value": "127.0.0.1"
}
],
"page": 1,
"per_page": 20,
"total": 1
}
1
2
3
4
5
{
"error": "Bad Request,",
"message": "[request query]: list_id: Required",
"statusCode": "400,"
}
1
2
3
4
5
{
"error": "Unauthorized",
"message": "[security_exception\\n\\tRoot causes:\\n\\t\\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]",
"statusCode": 401
}
1
2
3
4
5
{
"error": "Forbidden",
"message": "API [GET /api/lists/items/_find?list_id=ip_list\u0026page=1\u0026per_page=20] is unauthorized for user, this action is granted by the Kibana privileges [lists-read]",
"statusCode": 403
}
1
2
3
4
{
"message": "Internal Server Error",
"status_code": 500
}